[Author Prev][Author Next][Thread Prev][Thread Next][Author Index][Thread Index]

[or-cvs] r18353: {torvm} Clean up openssl mingw shared patch so it actually applies w (in torvm/trunk/build/win32: files patches)



Author: coderman
Date: 2009-01-31 05:57:00 -0500 (Sat, 31 Jan 2009)
New Revision: 18353

Added:
   torvm/trunk/build/win32/patches/openssl-0.9.8-mingw-shared.patch
Removed:
   torvm/trunk/build/win32/patches/openssl-0.9.8i-mingw-shared.patch
Modified:
   torvm/trunk/build/win32/files/buildall.sh
Log:
Clean up openssl mingw shared patch so it actually applies without rejects and warnings.

Modified: torvm/trunk/build/win32/files/buildall.sh
===================================================================
--- torvm/trunk/build/win32/files/buildall.sh	2009-01-31 10:14:45 UTC (rev 18352)
+++ torvm/trunk/build/win32/files/buildall.sh	2009-01-31 10:57:00 UTC (rev 18353)
@@ -408,7 +408,11 @@
 cd /usr/src
 tar zxvf $OPENSSL_FILE
 cd $OPENSSL_DIR
-patch -p1 < ../openssl-0.9.8i-mingw-shared.patch
+# XXX there should be a way to do this without patching despite recursive make invocations.
+if [ -f ../openssl-0.9.8-mingw-shared.patch ]; then
+  echo "Patching openssl for shared mingw builds"
+  patch -p1 < ../openssl-0.9.8-mingw-shared.patch
+fi
 ./Configure --prefix=/usr no-idea no-rc5 no-mdc2 no-hw no-sse2 zlib-dynamic threads shared mingw
 if (( $? != 0 )); then
   echo "ERROR: openssl configure failed." >&2

Copied: torvm/trunk/build/win32/patches/openssl-0.9.8-mingw-shared.patch (from rev 18342, torvm/trunk/build/win32/patches/openssl-0.9.8i-mingw-shared.patch)
===================================================================
--- torvm/trunk/build/win32/patches/openssl-0.9.8-mingw-shared.patch	                        (rev 0)
+++ torvm/trunk/build/win32/patches/openssl-0.9.8-mingw-shared.patch	2009-01-31 10:57:00 UTC (rev 18353)
@@ -0,0 +1,42 @@
+diff -Naur a/Configure b/Configure
+--- a/Configure	2008-12-29 00:18:23.000000000 +0000
++++ b/Configure	2009-01-31 10:43:44.940555920 +0000
+@@ -475,7 +475,7 @@
+ "BC-32","bcc32::::WIN32::BN_LLONG DES_PTR RC4_INDEX EXPORT_VAR_AS_FN:${no_asm}:win32",
+ 
+ # MinGW
+-"mingw", "gcc:-mno-cygwin -DL_ENDIAN -fomit-frame-pointer -O3 -march=i486 -Wall -D_WIN32_WINNT=0x333:::MINGW32:-lwsock32 -lgdi32:BN_LLONG ${x86_gcc_des} ${x86_gcc_opts} EXPORT_VAR_AS_FN:${x86_coff_asm}:win32:cygwin-shared:-D_WINDLL -DOPENSSL_USE_APPLINK:-mno-cygwin -shared:.dll.a",
++"mingw", "gcc:-DL_ENDIAN -fomit-frame-pointer -O3 -march=i486 -Wall -D_WIN32_WINNT=0x333:::MINGW32:-lws2_32 -lgdi32:BN_LLONG ${x86_gcc_des} ${x86_gcc_opts} EXPORT_VAR_AS_FN:${x86_coff_asm}:win32:cygwin-shared:-D_WINDLL -DOPENSSL_USE_APPLINK:-Wl,--export-all -mno-cygwin -shared:.dll.a",
+ 
+ # UWIN 
+ "UWIN", "cc:-DTERMIOS -DL_ENDIAN -O -Wall:::UWIN::BN_LLONG ${x86_gcc_des} ${x86_gcc_opts}:${no_asm}:win32",
+@@ -1051,7 +1051,7 @@
+ 
+ my $IsMK1MF=scalar grep /^$target$/,@MK1MF_Builds;
+ 
+-$IsMK1MF=1 if ($target eq "mingw" && $^O ne "cygwin" && !is_msys());
++### $IsMK1MF=1 if ($target eq "mingw" && $^O ne "cygwin" && !is_msys());
+ 
+ $no_shared = 0 if ($fipsdso && !$IsMK1MF);
+ 
+diff -Naur a/Makefile.org b/Makefile.org
+--- a/Makefile.org	2008-12-30 13:26:26.000000000 +0000
++++ b/Makefile.org	2009-01-31 10:46:23.025523352 +0000
+@@ -131,7 +131,7 @@
+ 
+ BASEADDR=
+ 
+-DIRS=   crypto fips ssl engines apps test tools
++DIRS=   crypto fips ssl engines apps
+ SHLIBDIRS= crypto ssl fips
+ 
+ # dirs in crypto to build
+@@ -319,7 +319,7 @@
+ 	../crypto/uid.o
+ 
+ sub_all: build_all
+-build_all: build_libs build_apps build_tests build_tools
++build_all: build_libs build_apps 
+ 
+ build_libs: build_crypto build_fips build_ssl build_shared build_engines
+ 

Deleted: torvm/trunk/build/win32/patches/openssl-0.9.8i-mingw-shared.patch
===================================================================
--- torvm/trunk/build/win32/patches/openssl-0.9.8i-mingw-shared.patch	2009-01-31 10:14:45 UTC (rev 18352)
+++ torvm/trunk/build/win32/patches/openssl-0.9.8i-mingw-shared.patch	2009-01-31 10:57:00 UTC (rev 18353)
@@ -1,54 +0,0 @@
-diff -Naur orig-openssl-0.9.8i/Configure mod-openssl-0.9.8i/Configure
---- orig-openssl-0.9.8i/Configure	2008-09-12 14:47:00.000000000 +0000
-+++ mod-openssl-0.9.8i/Configure	2008-10-04 01:28:59.415912960 +0000
-@@ -473,7 +473,7 @@
- "BC-32","bcc32::::WIN32::BN_LLONG DES_PTR RC4_INDEX EXPORT_VAR_AS_FN:${no_asm}:win32",
- 
- # MinGW
--"mingw", "gcc:-mno-cygwin -DL_ENDIAN -fomit-frame-pointer -O3 -march=i486 -Wall -D_WIN32_WINNT=0x333:::MINGW32:-lwsock32 -lgdi32:BN_LLONG ${x86_gcc_des} ${x86_gcc_opts} EXPORT_VAR_AS_FN:${x86_coff_asm}:win32:cygwin-shared:-D_WINDLL -DOPENSSL_USE_APPLINK:-mno-cygwin -shared:.dll.a",
-+"mingw", "gcc:-DL_ENDIAN -fomit-frame-pointer -O3 -march=i486 -Wall -D_WIN32_WINNT=0x333:::MINGW32:-lws2_32 -lgdi32:BN_LLONG ${x86_gcc_des} ${x86_gcc_opts} EXPORT_VAR_AS_FN:${x86_coff_asm}:win32:cygwin-shared:-D_WINDLL -DOPENSSL_USE_APPLINK:-Wl,--export-all -mno-cygwin -shared:.dll.a",
- 
- # UWIN 
- "UWIN", "cc:-DTERMIOS -DL_ENDIAN -O -Wall:::UWIN::BN_LLONG ${x86_gcc_des} ${x86_gcc_opts}:${no_asm}:win32",
-@@ -947,7 +947,7 @@
- 
- my $IsMK1MF=scalar grep /^$target$/,@MK1MF_Builds;
- 
--$IsMK1MF=1 if ($target eq "mingw" && $^O ne "cygwin" && !is_msys());
-+### $IsMK1MF=1 if ($target eq "mingw" && $^O ne "cygwin" && !is_msys());
- 
- $exe_ext=".exe" if ($target eq "Cygwin" || $target eq "DJGPP" || $target eq "mingw");
- $exe_ext=".nlm" if ($target =~ /netware/);
-diff -Naur orig-openssl-0.9.8i/Makefile.org mod-openssl-0.9.8i/Makefile.org
---- orig-openssl-0.9.8i/Makefile.org	2008-04-03 23:03:39.000000000 +0000
-+++ mod-openssl-0.9.8i/Makefile.org	2008-10-02 10:12:30.532290416 +0000
-@@ -104,7 +104,7 @@
- ZLIB_INCLUDE=
- LIBZLIB=
- 
--DIRS=   crypto ssl engines apps test tools
-+DIRS= crypto ssl
- SHLIBDIRS= crypto ssl
- 
- # dirs in crypto to build
-@@ -223,9 +223,9 @@
- 	@[ -n "$(THIS)" ] && $(CLEARENV) && $(MAKE) $(THIS) -e $(BUILDENV)
- 
- sub_all: build_all
--build_all: build_libs build_apps build_tests build_tools
-+build_all: build_libs build_apps build_tools
- 
--build_libs: build_crypto build_ssl build_engines
-+build_libs: build_crypto build_ssl 
- 
- build_crypto:
- 	@dir=crypto; target=all; $(BUILD_ONE_CMD)
-@@ -254,7 +254,7 @@
- 
- libssl$(SHLIB_EXT): libcrypto$(SHLIB_EXT) libssl.a
- 	@if [ "$(SHLIB_TARGET)" != "" ]; then \
--		$(MAKE) SHLIBDIRS=ssl SHLIBDEPS='-lcrypto' build-shared; \
-+		$(MAKE) SHLIBDIRS=ssl LIBDEPS='-lcrypto' build-shared; \
- 	else \
- 		echo "There's no support for shared libraries on this platform" >&2; \
- 		exit 1; \